import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_platform_widgets/flutter_platform_widgets.dart';

import './station_creation_form.dart';

class ConfigPage extends StatefulWidget {
  static const routeName = 'configuration';

  const ConfigPage({Key? key}) : super(key: key);

  @override
  _ConfigPageState createState() => _ConfigPageState();
}

class _ConfigPageState extends State<ConfigPage> {
  @override
  Widget build(BuildContext context) {
    return PlatformScaffold(
        appBar: PlatformAppBar(
            material: (_, __) => MaterialAppBarData(centerTitle: true),
            cupertino: (_, __) =>
                CupertinoNavigationBarData(automaticallyImplyMiddle: true),
            title: const Text('Settings')),
        body: Center(
            child: Column(
                crossAxisAlignment: CrossAxisAlignment.center,
                children: <Widget>[
              Padding(
                  padding:
                      const EdgeInsets.symmetric(horizontal: 34, vertical: 10),
                  child: PlatformButton(
                      onPressed: null, child: const Text('Game Settings'))),
              Padding(
                  padding:
                      const EdgeInsets.symmetric(horizontal: 0, vertical: 10),
                  child: PlatformButton(
                      onPressed: () => Navigator.pushNamed(
                          context, StationCreationForm.routeName),
                      child: const Text('Pad Settings')))
            ])));
  }
}
